Name:           backup-manager
Version:        0.7.10
Release:        %mkrel 6
Summary:        A command line backup tool for GNU/Linux
Summary(fr):    Outil de sauvegarde en ligne de commande pour GNU/Linux
Summary(it):    Strumento per il backup da riga di comando per GNU/Linux

Group:          Archiving/Backup
License:        GPLv2+
URL:            http://www.backup-manager.org
Source0:        http://www.backup-manager.org/download/%{name}-%{version}.tar.gz
Source1:        %{name}.cron.daily
Patch0:         %{name}-configtpl.patch
# Strict pod2man does not tolerate mistakes
Patch1:		%{name}-0.7.10-Fix-POD-syntax.patch
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  perl

Requires:       perl >= 5.14.2
Requires:       bash
Requires:       cdrkit
Requires:       util-linux-ng
Requires:       cdrkit-genisoimage
Requires:       bc
Requires:       bzip2
Requires:       coreutils
Requires:       dar
Requires:       diffutils
Requires:       dvd+rw-tools
Requires:       less
Requires:       krb5-appl-clients
Requires:       gettext
Requires:       gnupg
Requires:       gzip
Requires:       openssh-clients
Requires:       rsync
Requires:       sed
Requires:       tar
Requires:       which


%description
Backup Manager is a command line backup tool for GNU/Linux, designed to help
you make daily archives of your file system. Written in bash and Perl, it can
make archives in lots of open formats (tar, gzip, bzip2, lzma, dar, zip) and
provides lots of interesting features (such as network exports or CD/DVD
automated-burning).

The program is designed to be as easy to use as possible and is popular with
desktop users and sysadmins. The whole backup process is defined in one
full-documented configuration file which needs no more than 5 minutes to tune
for your needs.

%description -l fr
Backup Manager est un outil de sauvegarde en ligne de commande, conçu pour vous
aider dans la sauvegarde quotidienne de vos fichiers systèmes. Écrit en bash et
en Perl il peut archiver sous plusieurs de formats (tar, gzip, bzip2, lzma,
dar, zip) et fourni une liste intéressante de fonctionnalités (telle que
l'export au travers du réseau ou la gravure sur CD/DVD).

Ce programme est conçu pour être aussi simple que possible à utiliser autant
par des utilisateurs lambdas que par des administrateurs système. Tout le
processus de sauvegarder est défini dans un seul fichier de configuration
parfaitement documenté, et qui prend moins de 5 minutes à configurer selon
vos besoins.

%description -l it
Backup Manager è uno strumento per il backup da riga di comando, concepito
per aiutarvi nel backup quotidiano dei vostri file di sistema. Scritto in bash
e Perl, può archiviare in diversi formati (tar, gzip, bzip2, lzma, dar, zip)
e fornisce una lista interessante di funzionalità (come l'esportazione via rete
o la masterizzazione automatica di CD/DVD).

Il programma è progettato per essere semplice da usare ed è popolare tra utenti
desktop e amministratori di sistema. L'intero processo di backup è definito in
un unico file di configurazione ampiamente documentato che richiede non più di 
5 minuti per essere personalizzato in funzione delle vostre necessità.

%prep
%setup -q
%patch0 -p1 -b .configtpl
%patch1 -p1 -b .pod

# Clean Makefile
sed -i -e "s@install -o root -g 0 @install @" Makefile

# rpmlint W: file-not-utf8
for file in  ChangeLog THANKS; do
    iconv -f ISO_8859-1 -t UTF-8 -o ${file}{.utf8,}
    mv ${file}{.utf8,}
done;

%build
%make

%install
rm -rf %{buildroot}
make install \
    DESTDIR=%{buildroot} \
    PERL5DIR=%{buildroot}%{perl_vendorlib} \
    INSTALL="install -p"
%find_lang %{name}

# Create backup directory
install -d %{buildroot}%{_localstatedir}/%{name}

# Copy configuration
install -p -D -m 0644 %{buildroot}%{_datadir}/%{name}/%{name}.conf.tpl \
    %{buildroot}%{_sysconfdir}/%{name}.conf

# Add cron.daily
install -p -D -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.daily/%{name}.cron

# rpmlint : sanitize.sh is a non-executable-script
chmod 755 %{buildroot}%{_datadir}/%{name}/sanitize.sh

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/%{name}-purge
%{_bindir}/%{name}-upload
%{_sbindir}/%{name}
%{perl_vendorlib}/BackupManager
%{_datadir}/%{name}
%{_mandir}/man8/%{name}*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}.cron
%{_localstatedir}/%{name}


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.10-6.mga4
+ Revision: 545796
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.7.10-5.mga4
+ Revision: 501824
- add patch from fedora to fix POD syntax

* Fri Jan 11 2013 umeabot <umeabot> 0.7.10-4.mga3
+ Revision: 346827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 0.7.10-3.mga3
+ Revision: 310362
- fix RPM group

* Thu Jan 05 2012 matteo <matteo> 0.7.10-2.mga2
+ Revision: 191865
+ rebuild (emptylog)

* Sat Nov 26 2011 matteo <matteo> 0.7.10-1.mga2
+ Revision: 171980
- fixed ftp and perl requires
- fixed some rpmlint warnings
- imported package backup-manager

